This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 896356 - Need to specify the size of the stream when sending a file (or part thereof)
Need to specify the size of the stream when sending a file (or part thereof)
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-API (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.2
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 00:55 EST by Sean Flanigan
Modified: 2013-11-26 22:36 EST (History)
0 users

See Also:
Fixed In Version: 2.2-SNAPSHOT (20130221-0034)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:25:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2013-01-17 00:55:23 EST
Description of problem:
We should introduce a parameter in the API which the client will use to specify the file-part-size.  This value is needed by the Hibernate 4.x API when writing an InputStream to a BLOB.  At present, the only way for the server to calculate it is to read the entire stream up front.

Ref: org.zanata.rest.service.FileService.saveUploadPart(DocumentFileUploadForm, HDocumentUpload)

Version-Release number of selected component (if applicable):
master
Comment 1 David Mason 2013-01-30 21:22:34 EST
Added parameter to DocumentFileUploadForm to specify size of file part. Updated client to use the new parameter, and server to use the value when creating a BLOB.

See:
 - https://github.com/zanata/zanata-api/commit/f658b7d42ff77fd0a143a1a90bf9c8e89fd73556
 - https://github.com/zanata/zanata/commit/d6090585dcf928681fbc8449810454aa474c1228
 - https://github.com/zanata/zanata-client/commit/5b5baeb8d85193ca6f1cffb90d055659dd306ef8


Note: there should be no change in behaviour of raw file upload with this change.
Comment 2 Ding-Yi Chen 2013-02-20 20:06:25 EST
VERIFIED with Zanata version 2.2-SNAPSHOT (20130221-0034)
Maven client 2.0.2-SNAPSHOT
Comment 3 Sean Flanigan 2013-11-26 22:15:55 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 4 Sean Flanigan 2013-11-26 22:17:01 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 5 Sean Flanigan 2013-11-26 22:19:10 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 6 Sean Flanigan 2013-11-26 22:25:12 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:33:51 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:36:06 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.